#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/programs/ccp4-6.1.3/ccp4-6.1.3/bin/ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
SCANNER MAR

GAIN 1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.843
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      175
BEAM          172.5 172.5
TWOTHETA      0
#
NEWMATRIX  auto.mat

# Crystal parameters
#CELL     KEEP 100 100 100 90 90 90
#SYMMETRY      P1
RESOLUTION 0.9
MOSAIC     1

# frame filename breakdown
DIRECTORY    /data3/anonymous/pub/DESY/BW7B/3c8p
IDENTIFIER   VTA_01
EXTENSION    mar2300

#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#
MOSAIC estimate

AUTOINDEX DPS THRESH 5 IMAGE 1 12 27 53 
#
go
#
eof-ipmosflm

