#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = ""
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/programs/ccp4-6.1.3/ccp4-6.1.3/bin/ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from VTA_01_###.mar2300 1 to 53 at lambda= 0.843
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER MAR

GAIN 1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.843
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      174.651
BEAM          171.965 172.45
TWOTHETA      0
MATRIX        best.mat
#MISSETS       -0.013788 -0.078308 -0.033577 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          65.6935 65.6935 47.1241 90 90 90
SYMMETRY      P43212
RESOLUTION    1.10
MOSAIC        0.40617

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/DESY/BW7B/3c8p
IDENTIFIER    VTA_01
EXTENSION     mar2300

#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE VTA_01_001.mar2300 PHI 329 TO 330
#GO
#END
#PLOT
#
REFI RESID 100
POSTREF FIX ALL
# Processing commands: 
PROCESS 1 to 53 START 329 ANGLE 1 ADD 0
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
