#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/programs/ccp4-6.1.3/ccp4-6.1.3/bin/ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER MAR

GAIN 1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.843
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      174.648
BEAM          171.966 172.45
TWOTHETA      0
MATRIX        best.mat
#

# Crystal parameters
CELL          65.6935 65.6935 47.1241 90 90 90
SYMMETRY      P43212
RESOLUTION    1.10
MOSAIC        0.406158

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/DESY/BW7B/3c8p
IDENTIFIER    VTA_01
EXTENSION     mar2300

#
#
# un-comment the following lines to run strategy interactively
#IMAGE VTA_01_001.mar2300
#GO
#
# current strategy
#strategy start 329 end 382 speedup 1
strategy start 329 end 382
go
start 329 end 382
go
stats
end

# calculate best oscillation widths
SEPARATION 1 1
testgen start 329 end 382 minosc 1 overlap 3
go

# best "next" strategy (given that "current" data are already collected)
strategy start 329 end 382 PARTS 2 
run
strategy auto
go
stats
end

# best, overall strategy
strategy auto
go
stats
end

# best, overall strategy for anomalous
strategy auto anomalous
go
stats
end

# calculate best oscillation widths
SEPARATION 1 1
testgen start 0 end 180 minosc 0.01 overlap 3
go

eof-ipmosflm
